Loading...
Searching...
No Matches
elastix::RayCastInterpolator< TElastix > Class Template Reference
Components » Interpolators

`#include <elxRayCastInterpolator.h>`

## Detailed Description

template<class TElastix>
class elastix::RayCastInterpolator< TElastix >

An interpolator based on the itkAdvancedRayCastInterpolateImageFunction.

The parameters used in this class are:

Parameters
  Interpolator: Select this interpolator as follows:
  (Interpolator "RayCastInterpolator")

Definition at line 44 of file elxRayCastInterpolator.h.

Inheritance diagram for elastix::RayCastInterpolator< TElastix >:
[legend]

## Public Types

using | AdvancedTransformPointer = typename AdvancedTransformType::Pointer
using | AdvancedTransformType
using | CombinationTransformPointer = typename CombinationTransformType::Pointer
using | CombinationTransformType
using | ConstPointer = itk::SmartPointer<const Self>
using | EulerTransformPointer = typename EulerTransformType::Pointer
using | EulerTransformType
using | ITKBaseType = typename Superclass2::ITKBaseType
using | Pointer = itk::SmartPointer<Self>
using | Self = RayCastInterpolator
using | SpacingType = typename InputImageType::SpacingType
using | Superclass1
using | Superclass2 = InterpolatorBase<TElastix>
using | TransformParametersType = typename EulerTransformType::ParametersType
Public Types inherited from itk::AdvancedRayCastInterpolateImageFunction< TInputImage, TCoordRep >
using | ConstPointer = SmartPointer<const Self>
using | DirectionType = Vector<TCoordRep, InputImageDimension>
using | InputPointType = typename TransformType::InputPointType
using | InterpolatorPointer = typename InterpolatorType::Pointer
using | InterpolatorType = InterpolateImageFunction<TInputImage, TCoordRep>
using | OutputPointType = typename TransformType::OutputPointType
using | Pointer = SmartPointer<Self>
using | Self = AdvancedRayCastInterpolateImageFunction
using | SizeType = typename TInputImage::SizeType
using | Superclass = InterpolateImageFunction<TInputImage, TCoordRep>
using | TransformJacobianType = typename TransformType::JacobianType
using | TransformParametersType = typename TransformType::ParametersType
using | TransformPointer = typename TransformType::Pointer
using | TransformType = Transform<TCoordRep, InputImageDimension, InputImageDimension>
Public Types inherited from elastix::InterpolatorBase< TElastix >
using | CoordRepType = ElastixBase::CoordRepType
using | ElastixType
using | InputImageType = typename ElastixType::MovingImageType
using | ITKBaseType = itk::InterpolateImageFunction<InputImageType, CoordRepType>
using | RegistrationType
using | Self = InterpolatorBase
using | Superclass = BaseComponentSE<TElastix>
Public Types inherited from elastix::BaseComponentSE< TElastix >
using | ElastixType = TElastix
using | RegistrationType = typename ElastixType::RegistrationBaseType
using | Self = BaseComponentSE
using | Superclass = BaseComponent

## Public Member Functions

| elxClassNameMacro ("RayCastInterpolator")
virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (RayCastInterpolator)
| itkStaticConstMacro (ImageDimension, unsigned int, Superclass1::ImageDimension)
Public Member Functions inherited from itk::AdvancedRayCastInterpolateImageFunction< TInputImage, TCoordRep >
OutputType | Evaluate (const PointType &point) const override
OutputType | EvaluateAtContinuousIndex (const ContinuousIndexType &index) const override
virtual InputPointType | GetFocalPoint () const
virtual double | GetThreshold () const
bool | IsInsideBuffer (const ContinuousIndexType &) const override
bool | IsInsideBuffer (const IndexType &) const override
bool | IsInsideBuffer (const PointType &) const override
| ITK_DISALLOW_COPY_AND_MOVE (AdvancedRayCastInterpolateImageFunction)
| itkGetModifiableObjectMacro (Interpolator, InterpolatorType)
| itkGetModifiableObjectMacro (Transform, TransformType)
| itkStaticConstMacro (ImageDimension, unsigned int, Superclass::ImageDimension)
| itkStaticConstMacro (InputImageDimension, unsigned int, TInputImage::ImageDimension)
virtual void | SetFocalPoint (InputPointType _arg)
virtual void | SetInterpolator (InterpolatorType *_arg)
virtual void | SetThreshold (double _arg)
virtual void | SetTransform (TransformType *_arg)
Public Member Functions inherited from elastix::InterpolatorBase< TElastix >
ITKBaseType * | GetAsITKBaseType ()
const ITKBaseType * | GetAsITKBaseType () const
| ITK_DISALLOW_COPY_AND_MOVE (InterpolatorBase)
Public Member Functions inherited from elastix::BaseComponentSE< TElastix >
void | AddTargetCellToIterationInfo (const char *const name)
const Configuration * | GetConfiguration () const
ElastixType * | GetElastix () const
auto & | GetIterationInfoAt (const char *const name)
RegistrationType * | GetRegistration () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponentSE)
void | RemoveTargetCellFromIterationInfo (const char *const name)
void | SetConfiguration (const Configuration *_arg)
void | SetElastix (ElastixType *_arg)
Public Member Functions inherited from elastix::BaseComponent
virtual void | AfterEachIteration ()
virtual void | AfterEachIterationBase ()
virtual void | AfterEachResolution ()
virtual void | AfterEachResolutionBase ()
virtual void | AfterRegistration ()
virtual void | AfterRegistrationBase ()
virtual int | BeforeAllBase ()
virtual void | BeforeEachResolutionBase ()
virtual void | BeforeRegistrationBase ()
virtual const char * | elxGetClassName () const
const char * | GetComponentLabel () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponent)
| itkTypeMacroNoParent (BaseComponent)
void | SetComponentLabel (const char *label, unsigned int idx)

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::AdvancedRayCastInterpolateImageFunction< TInputImage, TCoordRep >
static Pointer | New ()
Static Public Member Functions inherited from elastix::BaseComponent
template<typename TBaseComponent>
static auto | AsITKBaseType (TBaseComponent *const baseComponent) -> decltype(baseComponent->GetAsITKBaseType())
static void | InitializeElastixExecutable ()
static bool | IsElastixLibrary ()

## Protected Member Functions

int | BeforeAll () override
void | BeforeEachResolution () override
void | BeforeRegistration () override
| RayCastInterpolator ()=default
| ~RayCastInterpolator () override=default
Protected Member Functions inherited from itk::AdvancedRayCastInterpolateImageFunction< TInputImage, TCoordRep >
| AdvancedRayCastInterpolateImageFunction ()=default
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~AdvancedRayCastInterpolateImageFunction () override=default
Protected Member Functions inherited from elastix::InterpolatorBase< TElastix >
| InterpolatorBase ()=default
| ~InterpolatorBase () override=default
Protected Member Functions inherited from elastix::BaseComponentSE< TElastix >
| BaseComponentSE ()=default
| ~BaseComponentSE () override=default
Protected Member Functions inherited from elastix::BaseComponent
| BaseComponent ()=default
virtual | ~BaseComponent ()=default

## Private Attributes

| elxOverrideGetSelfMacro
CombinationTransformPointer | m_CombinationTransform
TransformParametersType | m_PreParameters
EulerTransformPointer | m_PreTransform

## Additional Inherited Members

Protected Attributes inherited from itk::AdvancedRayCastInterpolateImageFunction< TInputImage, TCoordRep >
InputPointType | m_FocalPoint {}
InterpolatorPointer | m_Interpolator {}
double | m_Threshold { 0.0 }
TransformPointer | m_Transform {}
Protected Attributes inherited from elastix::BaseComponentSE< TElastix >
Configuration::ConstPointer | m_Configuration {}
itk::WeakPointer< TElastix > | m_Elastix {}
RegistrationType * | m_Registration {}

## Member Typedef Documentation

## AdvancedTransformPointer

template<class TElastix>

using elastix::RayCastInterpolator< TElastix >::AdvancedTransformPointer = typename AdvancedTransformType::Pointer

Definition at line 96 of file elxRayCastInterpolator.h.

## AdvancedTransformType

template<class TElastix>

using elastix::RayCastInterpolator< TElastix >::AdvancedTransformType

Initial value:
typename itk::
AdvancedTransform<typename InterpolatorBase<TElastix>::CoordRepType, Self::ImageDimension, Self::ImageDimension>

Definition at line 94 of file elxRayCastInterpolator.h.

## CombinationTransformPointer

template<class TElastix>

using elastix::RayCastInterpolator< TElastix >::CombinationTransformPointer = typename CombinationTransformType::Pointer

Definition at line 99 of file elxRayCastInterpolator.h.

## CombinationTransformType

template<class TElastix>

using elastix::RayCastInterpolator< TElastix >::CombinationTransformType

Initial value:
typename itk::AdvancedCombinationTransform<typename InterpolatorBase<TElastix>::CoordRepType, Self::ImageDimension>
itk::AdvancedCombinationTransform
This class combines two transforms: an 'initial transform' with a 'current transform'.
Definition itkAdvancedCombinationTransform.h:57

Definition at line 97 of file elxRayCastInterpolator.h.

## ConstPointer

template<class TElastix>

using elastix::RayCastInterpolator< TElastix >::ConstPointer = itk::SmartPointer<const Self>

Definition at line 58 of file elxRayCastInterpolator.h.

## EulerTransformPointer

template<class TElastix>

using elastix::RayCastInterpolator< TElastix >::EulerTransformPointer = typename EulerTransformType::Pointer

Definition at line 93 of file elxRayCastInterpolator.h.

## EulerTransformType

template<class TElastix>

using elastix::RayCastInterpolator< TElastix >::EulerTransformType

Initial value:
typename itk::EulerTransform<typename InterpolatorBase<TElastix>::CoordRepType, ImageDimension>
itk::EulerTransform
This class combines the Euler2DTransform with the Euler3DTransform.
Definition itkEulerTransform.h:89

Typedef's for CombinationTransform

Definition at line 90 of file elxRayCastInterpolator.h.

## ITKBaseType

template<class TElastix>

using elastix::RayCastInterpolator< TElastix >::ITKBaseType = typename Superclass2::ITKBaseType

Definition at line 87 of file elxRayCastInterpolator.h.

## Pointer

template<class TElastix>

using elastix::RayCastInterpolator< TElastix >::Pointer = itk::SmartPointer<Self>

Definition at line 57 of file elxRayCastInterpolator.h.

## Self

template<class TElastix>

using elastix::RayCastInterpolator< TElastix >::Self = RayCastInterpolator

Standard ITK-stuff.

Definition at line 53 of file elxRayCastInterpolator.h.

## SpacingType

template<class TElastix>

using elastix::RayCastInterpolator< TElastix >::SpacingType = typename InputImageType::SpacingType

Definition at line 82 of file elxRayCastInterpolator.h.

## Superclass1

template<class TElastix>

using elastix::RayCastInterpolator< TElastix >::Superclass1

Initial value:
itk::AdvancedRayCastInterpolateImageFunction<typename InterpolatorBase<TElastix>::InputImageType,
typename InterpolatorBase<TElastix>::CoordRepType>
elastix::InterpolatorBase::CoordRepType
ElastixBase::CoordRepType CoordRepType
Definition elxInterpolatorBase.h:62
itk::AdvancedRayCastInterpolateImageFunction
Projective interpolation of an image at specified positions.
Definition itkAdvancedRayCastInterpolateImageFunction.h:58

Definition at line 54 of file elxRayCastInterpolator.h.

## Superclass2

template<class TElastix>

using elastix::RayCastInterpolator< TElastix >::Superclass2 = InterpolatorBase<TElastix>

Definition at line 56 of file elxRayCastInterpolator.h.

## TransformParametersType

template<class TElastix>

using elastix::RayCastInterpolator< TElastix >::TransformParametersType = typename EulerTransformType::ParametersType

Definition at line 92 of file elxRayCastInterpolator.h.

## Constructor & Destructor Documentation

## RayCastInterpolator()

template<class TElastix>

elastix::RayCastInterpolator< TElastix >::RayCastInterpolator | ( |  | ) |

protected default

The constructor.

## ~RayCastInterpolator()

template<class TElastix>

elastix::RayCastInterpolator< TElastix >::~RayCastInterpolator | ( |  | ) |

override protected default

The destructor.

## Member Function Documentation

## BeforeAll()

template<class TElastix>

int elastix::RayCastInterpolator< TElastix >::BeforeAll | ( |  | ) |

override protected virtual

Reimplemented from elastix::BaseComponent.

## BeforeEachResolution()

template<class TElastix>

void elastix::RayCastInterpolator< TElastix >::BeforeEachResolution | ( |  | ) |

override protected virtual

Reimplemented from elastix::BaseComponent.

## BeforeRegistration()

template<class TElastix>

void elastix::RayCastInterpolator< TElastix >::BeforeRegistration | ( |  | ) |

override protected virtual

Reimplemented from elastix::BaseComponent.

## elxClassNameMacro()

template<class TElastix>

elastix::RayCastInterpolator< TElastix >::elxClassNameMacro | ( | "RayCastInterpolator< TElastix >" |  | ) |

Name of this class. Use this name in the parameter file to select this specific interpolator.
example: (Interpolator "RayCastInterpolator")

## GetClassName()

template<class TElastix>

virtual const char * elastix::RayCastInterpolator< TElastix >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::AdvancedRayCastInterpolateImageFunction< TInputImage, TCoordRep >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TElastix>

elastix::RayCastInterpolator< TElastix >::ITK_DISALLOW_COPY_AND_MOVE | ( | RayCastInterpolator< TElastix > |  | ) |

## itkStaticConstMacro()

template<class TElastix>

elastix::RayCastInterpolator< TElastix >::itkStaticConstMacro | ( | ImageDimension | ,
|  | unsigned int | ,
|  | Superclass1::ImageDimension | )

Get the ImageDimension.

## New()

template<class TElastix>

Pointer elastix::RayCastInterpolator< TElastix >::New | ( |  | ) |

static

Method for creation through the object factory.

## Field Documentation

## elxOverrideGetSelfMacro

template<class TElastix>

elastix::RayCastInterpolator< TElastix >::elxOverrideGetSelfMacro

private

Definition at line 118 of file elxRayCastInterpolator.h.

## m_CombinationTransform

template<class TElastix>

CombinationTransformPointer elastix::RayCastInterpolator< TElastix >::m_CombinationTransform

private

Definition at line 122 of file elxRayCastInterpolator.h.

## m_PreParameters

template<class TElastix>

TransformParametersType elastix::RayCastInterpolator< TElastix >::m_PreParameters

private

Definition at line 121 of file elxRayCastInterpolator.h.

## m_PreTransform

template<class TElastix>

EulerTransformPointer elastix::RayCastInterpolator< TElastix >::m_PreTransform

private

Definition at line 120 of file elxRayCastInterpolator.h.

Generated on 1768596610 for elastix by 1.15.0 |